.timetable_item:nth-child(odd) {
  background-color: var(--background-grey);
}

.timetable-block .timetable_controls {
  gap: 2rem;
}

.timetable-block .timetable_sort,
.timetable-block .timetable_filters {
  display: flex;
  flex-direction: column;
}

.timetable-block .timetable_sort h4,
.timetable-block .timetable_filters h4 {
  margin-top: 0;
}

.timetable-block .timetable_filter {
  min-width: 180px;
}

.timetable-block .timetable_filter .form-select {
  color: #1c5d79 !important;
  border-radius: 6px;
  border: 1px solid #1c5d79 !important;
  padding: 2px 32px 2px 10px;

  min-height: 30px;
  width: auto;

  font-size: inherit;
  line-height: inherit;

  background-color: transparent;
  cursor: pointer;

  transition:
    background-color 0.3s,
    color 0.3s;
}

.timetable-block .timetable_filter .form-select:focus {
  border-color: #1c5d79 !important;
  box-shadow: none;
  outline: none;
}

@media (min-width: 1200px) {
  .timetable-block .timetable_controls {
    align-items: flex-start;
    gap: 8rem;
  }

  .timetable-block .timetable_sort {
    flex: 0 0 auto;
    min-width: 280px;
  }

  .timetable-block .timetable_filters {
    flex: 1;
    min-width: 0;
  }
}
